SPG: Binaries are not compatible with Linux 2.6